Package org.optaplanner.core.impl.score.stream.drools.tri

## Class DroolsTriAccumulateFunction<A,​B,​C,​ResultContainer_,​NewA>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractAccumulateFunction<ResultContainer_,​TriTuple<A,​B,​C>,​NewA>
  - - org.optaplanner.core.impl.score.stream.drools.tri.DroolsTriAccumulateFunction<A,​B,​C,​ResultContainer_,​NewA>

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.runtime.rule.AccumulateFunction<DroolsAccumulateContext<ResultContainer_>>`

      public final class DroolsTriAccumulateFunction<A,​B,​C,​ResultContainer_,​NewA>
      extends DroolsAbstractAccumulateFunction<ResultContainer_,​TriTuple<A,​B,​C>,​NewA>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DroolsTriAccumulateFunction()` |
    `DroolsTriAccumulateFunction​(TriConstraintCollector<A,​B,​C,​ResultContainer_,​NewA> collector)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Runnable` | `accumulate​(ResultContainer_ container, TriTuple<A,​B,​C> tuple)` |
    `protected NewA` | `getResult​(ResultContainer_ container)` |
    `protected ResultContainer_` | `newContainer()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractAccumulateFunction

      `accumulate, createContext, getResult, getResultType, init, readExternal, reverse, supportsReverse, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsTriAccumulateFunction

          public DroolsTriAccumulateFunction​(TriConstraintCollector<A,​B,​C,​ResultContainer_,​NewA> collector)

    - #### DroolsTriAccumulateFunction

          public DroolsTriAccumulateFunction()

  - ### Method Detail

    - #### newContainer

          protected ResultContainer_ newContainer()

      Specified by:
        `newContainer` in class `DroolsAbstractAccumulateFunction<ResultContainer_,​TriTuple<A,​B,​C>,​NewA>`

    - #### accumulate

          protected Runnable accumulate​(ResultContainer_ container,
                                        TriTuple<A,​B,​C> tuple)

      Specified by:
        `accumulate` in class `DroolsAbstractAccumulateFunction<ResultContainer_,​TriTuple<A,​B,​C>,​NewA>`

    - #### getResult

          protected NewA getResult​(ResultContainer_ container)

      Specified by:
        `getResult` in class `DroolsAbstractAccumulateFunction<ResultContainer_,​TriTuple<A,​B,​C>,​NewA>`